## libwpe 1.4.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(VERSION 3.0)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(VersioningUtils)

SET_PROJECT_VERSION(1 4 0)
set(WPE_API_VERSION "1.0")

# Before making a release, the LT_VERSION string should be modified.
# The string is of the form C:R:A.
# - If interfaces have been changed or added, but binary compatibility has
#   been preserved, change to C+1:0:A+1
# - If binary compatibility has been broken (eg removed or changed interfaces)
#   change to C+1:0:0
# - If the interface is the same as the previous version, change to C:R+1:A
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 3 3 2)

project(libwpe VERSION "${PROJECT_VERSION}")

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

foreach (cxxflag -fno-exceptions -fno-rtti -Wall)
    check_cxx_compiler_flag("${cxxflag}" CXX_HAS_FLAG_${cxxflag})
    if (CXX_HAS_FLAG_${cxxflag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${cxxflag}")
    endif ()
endforeach ()

foreach (cflag -Wall)
    check_c_compiler_flag("${cflag}" CC_HAS_FLAG_${cflag})
    if (CC_HAS_FLAG_${cflag})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}")
    endif ()
endforeach ()

set(DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/DerivedSources/wpe")
configure_file(include/wpe/version.h.cmake ${DERIVED_SOURCES_DIR}/version.h @ONLY)
configure_file(include/wpe/version-deprecated.h.cmake ${DERIVED_SOURCES_DIR}/version-deprecated.h @ONLY)

include(DistTargets)
include(GNUInstallDirs)

find_package(EGL REQUIRED)
find_package(Libxkbcommon REQUIRED)

add_definitions(${EGL_DEFINITIONS})
add_definitions(-DWPE_COMPILATION)

if(WPE_BACKEND)
  add_definitions(-DWPE_BACKEND=\"${WPE_BACKEND}\")
endif()

set(WPE_INCLUDE_DIRECTORIES
    "include"
    "src"
    ${DERIVED_SOURCES_DIR}
    ${EGL_INCLUDE_DIRS}
    ${LIBXKBCOMMON_INCLUDE_DIRS}
)

set(WPE_LIBRARIES
    dl
    ${LIBXKBCOMMON_LIBRARIES}
)

set(WPE_SOURCES
    src/input.c
    src/key-unicode.c
    src/loader.c
    src/pasteboard.c
    src/pasteboard-generic.cpp
    src/pasteboard-noop.cpp
    src/renderer-backend-egl.c
    src/renderer-host.c
    src/version.c
    src/view-backend.c
)

set(WPE_PUBLIC_HEADERS
  ${DERIVED_SOURCES_DIR}/version.h
  ${DERIVED_SOURCES_DIR}/version-deprecated.h
  include/wpe/export.h
  include/wpe/input.h
  include/wpe/keysyms.h
  include/wpe/loader.h
  include/wpe/pasteboard.h
  include/wpe/renderer-backend-egl.h
  include/wpe/renderer-host.h
  include/wpe/view-backend.h
  include/wpe/wpe-egl.h
  include/wpe/wpe.h
)

add_library(wpe SHARED ${WPE_SOURCES})
target_include_directories(wpe PRIVATE ${WPE_INCLUDE_DIRECTORIES})
target_link_libraries(wpe ${WPE_LIBRARIES})

set_target_properties(wpe PROPERTIES
  OUTPUT_NAME wpe-${WPE_API_VERSION}
  VERSION ${LIBWPE_VERSION}
  SOVERSION ${LIBWPE_VERSION_MAJOR}
)

install(TARGETS wpe
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(
  FILES
    ${WPE_PUBLIC_HEADERS}
    DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/wpe-${WPE_API_VERSION}/wpe
)

configure_file(wpe.pc.cmake wpe-${WPE_API_VERSION}.pc @ONLY)
install(
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/wpe-${WPE_API_VERSION}.pc"
    DESTINATION
    ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

option(BUILD_DOCS "Build the documentation" OFF)
IF(BUILD_DOCS)
  find_program(HOTDOC hotdoc)
  IF(NOT HOTDOC)
    message(FATAL_ERROR "hotdoc not found!")
  ENDIF()

  execute_process(
    COMMAND ${HOTDOC} --has-extension c-extension
    RESULT_VARIABLE HAS_HOTDOC_C_EXTENSION
    ERROR_QUIET
  )
  IF("${HAS_HOTDOC_C_EXTENSION}" EQUAL 0)
    add_custom_target(Documentation ALL
      ${HOTDOC} run
      --project-name=libwpe
      --project-version=1.0
      --include-paths="${CMAKE_SOURCE_DIR}/docs"
      --sitemap=${CMAKE_SOURCE_DIR}/docs/sitemap.txt
      --output=${CMAKE_CURRENT_BINARY_DIR}/Documentation/
      --c-sources "${CMAKE_SOURCE_DIR}/include/wpe/*.h"
                  "${DERIVED_SOURCES_DIR}/version.h"
                  "${DERIVED_SOURCES_DIR}/version-deprecated.h"
      --extra-c-flags=-DWPE_COMPILATION=1
      --c-include-directories ${CMAKE_SOURCE_DIR}/include ${DERIVED_SOURCES_DIR}
      --c-smart-index
    )
  ELSE()
      MESSAGE(FATAL_ERROR "Hotdoc C extension not found... can't build the documentation.")
  ENDIF()
ENDIF()

=== debian/changelog ===
libwpe (1.4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/control:
    + Update Standards-Version to 4.4.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Nov 2019 16:59:49 +0200

libwpe (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #930116)

 -- Alberto Garcia <berto@igalia.com>  Wed, 19 Jun 2019 14:34:16 +0300

=== debian/control ===
Source: libwpe
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper (>= 10),
               pkg-config,
               libegl1-mesa-dev,
               libxkbcommon-dev,
               cmake
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
Homepage: https://wpewebkit.org/

Package: libwpe-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwpe-1.0-1 (= ${binary:Version}),
         libxkbcommon-dev,
         libegl1-mesa-dev,
         ${misc:Depends}
Description: Base library for the WPE WebKit port - development files
 libwpe is a small C library designed for the WPE port of the WebKit
 browser engine. This library defines platform-agnostic interfaces
 that WPE WebKit uses to nest Web content presentation between the
 platform-provided graphics system and the application-specific use
 cases.
 .
 This package contains the development files.

Package: libwpe-1.0-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Base library for the WPE WebKit port
 libwpe is a small C library designed for the WPE port of the WebKit
 browser engine. This library defines platform-agnostic interfaces
 that WPE WebKit uses to nest Web content presentation between the
 platform-provided graphics system and the application-specific use
 cases.
 .
 This package contains the shared libraries.

## libwpe 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 4 0)
+SET_PROJECT_VERSION(1 6 0)
 set(WPE_API_VERSION "1.0")
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -14,9 +14,12 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 3 3 2)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 4 2 3)
 
 project(libwpe VERSION "${PROJECT_VERSION}")
+
+set(WPE_BACKEND "" CACHE STRING
+    "Name of the backend library to load, instead of libWPEBackend-default.so")
 
 include(CheckCCompilerFlag)
 include(CheckCXXCompilerFlag)
@@ -48,39 +51,6 @@
 find_package(EGL REQUIRED)
 find_package(Libxkbcommon REQUIRED)
 
-add_definitions(${EGL_DEFINITIONS})
-add_definitions(-DWPE_COMPILATION)
-
-if(WPE_BACKEND)
-  add_definitions(-DWPE_BACKEND=\"${WPE_BACKEND}\")
-endif()
-
-set(WPE_INCLUDE_DIRECTORIES
-    "include"
-    "src"
-    ${DERIVED_SOURCES_DIR}
-    ${EGL_INCLUDE_DIRS}
-    ${LIBXKBCOMMON_INCLUDE_DIRS}
-)
-
-set(WPE_LIBRARIES
-    dl
-    ${LIBXKBCOMMON_LIBRARIES}
-)
-
-set(WPE_SOURCES
-    src/input.c
-    src/key-unicode.c
-    src/loader.c
-    src/pasteboard.c
-    src/pasteboard-generic.cpp
-    src/pasteboard-noop.cpp
-    src/renderer-backend-egl.c
-    src/renderer-host.c
-    src/version.c
-    src/view-backend.c
-)
-
 set(WPE_PUBLIC_HEADERS
   ${DERIVED_SOURCES_DIR}/version.h
   ${DERIVED_SOURCES_DIR}/version-deprecated.h
@@ -96,11 +66,39 @@
   include/wpe/wpe.h
 )
 
-add_library(wpe SHARED ${WPE_SOURCES})
-target_include_directories(wpe PRIVATE ${WPE_INCLUDE_DIRECTORIES})
-target_link_libraries(wpe ${WPE_LIBRARIES})
+add_library(wpe SHARED
+    src/input.c
+    src/key-unicode.c
+    src/loader.c
+    src/pasteboard.c
+    src/pasteboard-generic.cpp
+    src/pasteboard-noop.cpp
+    src/renderer-backend-egl.c
+    src/renderer-host.c
+    src/version.c
+    src/view-backend.c
+)
+target_include_directories(wpe PRIVATE
+    "include"
+    "src"
+    ${DERIVED_SOURCES_DIR}
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_INCLUDE_DIRECTORIES>
+)
+target_compile_definitions(wpe PRIVATE
+    WPE_COMPILATION
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_DEFINITIONS>
+)
+if (WPE_BACKEND)
+    target_compile_definitions(wpe PRIVATE WPE_BACKEND=\"${WPE_BACKEND}\")
+endif()
+target_compile_options(wpe PRIVATE
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_OPTIONS>
+)
+target_link_libraries(wpe PRIVATE XkbCommon::libxkbcommon ${CMAKE_DL_LIBS})
 
 set_target_properties(wpe PROPERTIES
+  C_VISIBILITY_PRESET hidden
+  CXX_VISIBILITY_PRESET hidden
   OUTPUT_NAME wpe-${WPE_API_VERSION}
   VERSION ${LIBWPE_VERSION}
   SOVERSION ${LIBWPE_VERSION_MAJOR}

=== debian/changelog ===
libwpe (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Set the debhelper compatibility level to 12:
    + Get rid of debian/compat.
    + Add build dependency on debhelper-compat.
  * Add upstream metadata file.
  * debian/control:
    + Add Rules-Requires-Root: no.
    + Update Standards-Version to 4.5.0 (no changes).
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/copyright:
    + Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Thu, 12 Mar 2020 00:32:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
 Homepage: https://wpewebkit.org/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ libwpe-(.*).tar.xz

## libwpe 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 6 0)
+READ_VERSION_HEADER("" "WPE_[A-Z]+_VERSION" "${CMAKE_SOURCE_DIR}/include/wpe/libwpe-version.h")
+SET_PROJECT_VERSION(${WPE_MAJOR_VERSION} ${WPE_MINOR_VERSION} ${WPE_MICRO_VERSION})
 set(WPE_API_VERSION "1.0")
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -14,7 +15,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 4 2 3)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 6 1 5)
 
 project(libwpe VERSION "${PROJECT_VERSION}")
 
@@ -41,10 +42,6 @@
     endif ()
 endforeach ()
 
-set(DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/DerivedSources/wpe")
-configure_file(include/wpe/version.h.cmake ${DERIVED_SOURCES_DIR}/version.h @ONLY)
-configure_file(include/wpe/version-deprecated.h.cmake ${DERIVED_SOURCES_DIR}/version-deprecated.h @ONLY)
-
 include(DistTargets)
 include(GNUInstallDirs)
 
@@ -52,8 +49,9 @@
 find_package(Libxkbcommon REQUIRED)
 
 set(WPE_PUBLIC_HEADERS
-  ${DERIVED_SOURCES_DIR}/version.h
-  ${DERIVED_SOURCES_DIR}/version-deprecated.h
+  include/wpe/libwpe-version.h
+  include/wpe/version.h
+  include/wpe/version-deprecated.h
   include/wpe/export.h
   include/wpe/input.h
   include/wpe/keysyms.h
@@ -81,7 +79,6 @@
 target_include_directories(wpe PRIVATE
     "include"
     "src"
-    ${DERIVED_SOURCES_DIR}
     $<TARGET_PROPERTY:GL::egl,INTERFACE_INCLUDE_DIRECTORIES>
 )
 target_compile_definitions(wpe PRIVATE
@@ -145,10 +142,8 @@
       --sitemap=${CMAKE_SOURCE_DIR}/docs/sitemap.txt
       --output=${CMAKE_CURRENT_BINARY_DIR}/Documentation/
       --c-sources "${CMAKE_SOURCE_DIR}/include/wpe/*.h"
-                  "${DERIVED_SOURCES_DIR}/version.h"
-                  "${DERIVED_SOURCES_DIR}/version-deprecated.h"
       --extra-c-flags=-DWPE_COMPILATION=1
-      --c-include-directories ${CMAKE_SOURCE_DIR}/include ${DERIVED_SOURCES_DIR}
+      --c-include-directories ${CMAKE_SOURCE_DIR}/include
       --c-smart-index
     )
   ELSE()

=== debian/changelog ===
libwpe (1.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Tue, 15 Jun 2021 19:01:32 +0200

libwpe (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright years.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/control:
    + Update Standards-Version to 4.5.1 (no changes).
  * debian/watch:
    + Set version to 4 (fixes older-debian-watch-file-standard)
    + Scan stable releases only.

 -- Alberto Garcia <berto@igalia.com>  Sat, 27 Mar 2021 23:08:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git

## libwpe 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 6 1 5)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 7 0 6)
 
 project(libwpe VERSION "${PROJECT_VERSION}")

=== meson_options.txt ===
option('default-backend',
	type: 'string',
	value: '',
	description: 'Name of the backend library to load, instead of libWPEBackend-default.so'
)
option('build-docs',
	type: 'boolean',
	value: false,
	description: 'Build reference documentation (needs HotDoc)'
)

=== debian/changelog ===
libwpe (1.12.0-1~bpo11+1) bullseye-backports; urgency=medium

  * backport to bullseye
  * debian: depend on vendor neutral libegl-dev
  * debian: more vendor neutral dependencies

 -- Marc Leeman <m.leeman@televic.com>  Mon, 04 Apr 2022 14:27:20 +0200

libwpe (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols

 -- Alberto Garcia <berto@igalia.com>  Fri, 01 Oct 2021 09:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>
+Uploaders: Alberto Garcia <berto@igalia.com>,
+            Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
-               libegl1-mesa-dev,
+               libegl-dev,
                libxkbcommon-dev,
                cmake
 Standards-Version: 4.5.1
@@ -20,7 +21,7 @@
 Multi-Arch: same
 Depends: libwpe-1.0-1 (= ${binary:Version}),
          libxkbcommon-dev,
-         libegl1-mesa-dev,
+         libegl-dev,
          ${misc:Depends}
 Description: Base library for the WPE WebKit port - development files
  libwpe is a small C library designed for the WPE port of the WebKit

## libwpe 1.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(VERSION 3.0)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(VersioningUtils)

read_version_header("" "WPE_[A-Z]+_VERSION" "${CMAKE_CURRENT_SOURCE_DIR}/include/wpe/libwpe-version.h")
set_project_version(${WPE_MAJOR_VERSION} ${WPE_MINOR_VERSION} ${WPE_MICRO_VERSION})
set(WPE_API_VERSION "1.0")

# Before making a release, the LT_VERSION string should be modified.
# The string is of the form C:R:A.
# - If interfaces have been changed or added, but binary compatibility has
#   been preserved, change to C+1:0:A+1
# - If binary compatibility has been broken (eg removed or changed interfaces)
#   change to C+1:0:0
# - If the interface is the same as the previous version, change to C:R+1:A
calculate_library_versions_from_libtool_triple(LIBWPE 9 0 8)

project(libwpe VERSION "${PROJECT_VERSION}")

set(BUILD_SHARED_LIBS
    ON
    CACHE BOOL "Build libwpe as a shared library"
)
set(WPE_BACKEND
    ""
    CACHE STRING "Name of the backend library to load, instead of libWPEBackend-default.so"
)
set(WPE_ENABLE_XKB
    ON
    CACHE STRING "Enable use of libxkbcommon for keyboard input"
)

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

foreach (cxxflag -fno-exceptions -fno-rtti -Wall)
    check_cxx_compiler_flag("${cxxflag}" CXX_HAS_FLAG_${cxxflag})
    if (CXX_HAS_FLAG_${cxxflag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${cxxflag}")
    endif ()
endforeach ()

foreach (cflag -Wall)
    check_c_compiler_flag("${cflag}" CC_HAS_FLAG_${cflag})
    if (CC_HAS_FLAG_${cflag})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}")
    endif ()
endforeach ()

include(DistTargets)
include(GNUInstallDirs)

find_package(EGL REQUIRED)

set(WPE_PUBLIC_HEADERS
    include/wpe/libwpe-version.h
    include/wpe/version.h
    include/wpe/version-deprecated.h
    include/wpe/export.h
    include/wpe/gamepad.h
    include/wpe/input.h
    include/wpe/input-xkb.h
    include/wpe/keysyms.h
    include/wpe/loader.h
    include/wpe/pasteboard.h
    include/wpe/process.h
    include/wpe/renderer-backend-egl.h
    include/wpe/renderer-host.h
    include/wpe/view-backend.h
    include/wpe/wpe-egl.h
    include/wpe/wpe.h
)

add_library(
    wpe
    src/alloc.c
    src/input-xkb.c
    src/key-unicode.c
    src/pasteboard.c
    src/pasteboard-generic.cpp
    src/pasteboard-noop.cpp
    src/process.c
    src/renderer-backend-egl.c
    src/renderer-host.c
    src/version.c
    src/view-backend.c
    src/gamepad.c
)

if (BUILD_SHARED_LIBS)
    target_sources(wpe PRIVATE src/loader.c)

    set_target_properties(
        wpe
        PROPERTIES
            C_VISIBILITY_PRESET hidden
            CXX_VISIBILITY_PRESET hidden
            OUTPUT_NAME wpe-${WPE_API_VERSION}
            VERSION ${LIBWPE_VERSION}
            SOVERSION ${LIBWPE_VERSION_MAJOR}
    )
else ()
    target_sources(wpe PRIVATE src/loader-static.c)
endif ()

target_include_directories(
    wpe PRIVATE "include" "src" $<TARGET_PROPERTY:GL::egl,INTERFACE_INCLUDE_DIRECTORIES>
)
target_compile_definitions(
    wpe PRIVATE WPE_COMPILATION $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_DEFINITIONS>
)
if (WPE_BACKEND)
    target_compile_definitions(wpe PRIVATE WPE_BACKEND=\"${WPE_BACKEND}\")
endif ()
if (WPE_ENABLE_XKB)
    target_compile_definitions(wpe PUBLIC WPE_ENABLE_XKB=1)
    set(WPE_PC_CFLAGS -DWPE_ENABLE_XKB=1)
endif ()
target_compile_options(wpe PRIVATE $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_OPTIONS>)

target_link_libraries(wpe PRIVATE ${CMAKE_DL_LIBS})
if (WPE_ENABLE_XKB)
    find_package(Libxkbcommon REQUIRED)
    target_link_libraries(wpe PRIVATE XkbCommon::libxkbcommon)
    set(WPE_PC_REQUIRES xkbcommon)
endif ()

install(
    TARGETS wpe
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(FILES ${WPE_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-${WPE_API_VERSION}/wpe)

configure_file(wpe.pc.in wpe-${WPE_API_VERSION}.pc @ONLY)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/wpe-${WPE_API_VERSION}.pc"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

option(BUILD_DOCS "Build the documentation" OFF)
if (BUILD_DOCS)
    find_program(HOTDOC hotdoc)
    if (NOT HOTDOC)
        message(FATAL_ERROR "hotdoc not found!")
    endif ()

    execute_process(
        COMMAND ${HOTDOC} --has-extension c-extension
        RESULT_VARIABLE HAS_HOTDOC_C_EXTENSION
        ERROR_QUIET
    )
    if ("${HAS_HOTDOC_C_EXTENSION}" EQUAL 0)
        add_custom_target(
            Documentation ALL
            ${HOTDOC}
            run
            --project-name=libwpe
            --project-version=1.0
            --include-paths="${CMAKE_CURRENT_SOURCE_DIR}/docs"
            --sitemap=${CMAKE_CURRENT_SOURCE_DIR}/docs/sitemap.txt
            --output=${CMAKE_CURRENT_BINARY_DIR}/Documentation/
            --c-sources
            "${CMAKE_CURRENT_SOURCE_DIR}/include/wpe/*.h"
            --extra-c-flags=-DWPE_COMPILATION=1
            --c-include-directories
            ${CMAKE_CURRENT_SOURCE_DIR}/include
            --c-smart-index
        )
    else ()
        message(FATAL_ERROR "Hotdoc C extension not found... can't build the documentation.")
    endif ()
endif ()

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
 	type: 'string',
 	value: '',
 	description: 'Name of the backend library to load, instead of libWPEBackend-default.so'
+)
+option('enable-xkb',
+	type: 'boolean',
+	value: true,
+	description: 'Enable use of libxkbcommon for keyboard input'
 )
 option('build-docs',
 	type: 'boolean',

=== debian/changelog ===
libwpe (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    - Update symbols

 -- Alberto Garcia <berto@igalia.com>  Tue, 20 Sep 2022 11:28:43 +0200

libwpe (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Set the debhelper compatibility level to 13.
    - Update Standards-Version to 4.6.1.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 15:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>,
-            Marc Leeman <m.leeman@televic.com>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
-               libegl-dev,
+               libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
@@ -21,7 +20,7 @@
 Multi-Arch: same
 Depends: libwpe-1.0-1 (= ${binary:Version}),
          libxkbcommon-dev,
-         libegl-dev,
+         libegl1-mesa-dev,
          ${misc:Depends}
 Description: Base library for the WPE WebKit port - development files
  libwpe is a small C library designed for the WPE port of the WebKit

## libwpe 1.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-calculate_library_versions_from_libtool_triple(LIBWPE 9 0 8)
+calculate_library_versions_from_libtool_triple(LIBWPE 10 5 9)
 
 project(libwpe VERSION "${PROJECT_VERSION}")

=== debian/changelog ===
libwpe (1.16.2-2) unstable; urgency=medium

  * debian/rules:
    - Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to dh_auto_configure in
      order to fix the build with CMake 4 (Closes: #1113224).
  * debian/control:
    - Update Standards-Version to 4.7.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Mon, 01 Sep 2025 10:41:01 +0200

libwpe (1.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 07 Feb 2025 11:02:44 +0100

libwpe (1.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/libwpe-1.0-1.symbols:
    - Update symbols
  * debian/control:
    - Update Standards-Version to 4.7.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Tue, 21 Jan 2025 12:23:48 +0100

libwpe (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    - Update symbols
  * debian/control:
    - Replace pkg-config with pkgconf.

 -- Alberto Garcia <berto@igalia.com>  Thu, 21 Mar 2024 17:53:03 +0100

libwpe (1.14.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Stop overriding dh_missing, --fail-missing is enabled by default
      with debhelper compat 13.
  * debian/control:
    - Update Standards-Version to 4.6.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Thu, 25 Jan 2024 11:07:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Fix build with CMake 4, see #1113224
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ libwpe-(\d+\.\d*[02468]\.\d+).tar.xz

## libwpe 1.16.3

=== debian/changelog ===
libwpe (1.16.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove redundant 'Rules-Requires-Root: no' field.

 -- Alberto Garcia <berto@igalia.com>  Thu, 20 Nov 2025 13:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                libxkbcommon-dev,
                cmake
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
 Homepage: https://wpewebkit.org/
